
Base Language - Bug #7311

abs(integer) must return int64

05/01/2023 05:58 AM - Constantin Asofiei

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Constantin Asofiei % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD version:  

Description

History

#2 - 05/01/2023 06:14 AM - Constantin Asofiei

- % Done changed from 0 to 100

- Assignee set to Constantin Asofiei

- Status changed from New to Review

def var i as int.

def var j as int.

repeat i = 1 to abs(j):

   message j.

end.

 

This in FWD  creates a IntegerExpression instead of Int64Expression.

Committed to 7199c/14560.

#3 - 05/01/2023 04:11 PM - Greg Shah

- Status changed from Review to Test

Code Review Task Branch 7199c Revision 14560

No objections.

#4 - 06/05/2023 10:29 AM - Constantin Asofiei
7199c was merged to trunk rev 14610 and archived

#5 - 06/05/2023 10:31 AM - Greg Shah

- Status changed from Test to Closed
